Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jxunit
Class JXTestTrap

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.ArrayList
                        |
                        +--net.sourceforge.jxunit.JXDo
                              |
                              +--net.sourceforge.jxunit.JXTestTrap

All Implemented Interfaces:
  Cloneable, Collection, JXTestStep, List, Serializable

public class JXTestTrap
extends JXDo

See Also:
  Serialized Form

Field Summary
`String` | `exception`
`String` | `message`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`JXTestTrap()`

Method Summary
`void` | `eval(JXTestCase testCase)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Field Detail

### exception

    public String exception

### message

    public String message

Constructor Detail

### JXTestTrap

    public JXTestTrap()

Method Detail

### eval

    public void eval(JXTestCase testCase)
              throws Throwable

  Overrides:
    `eval` in class `JXDo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD